Bug 1599130 - CVE-2018-10892 podman: docker: container breakout without selinux in enforcing mode [fedora-all]
Summary: CVE-2018-10892 podman: docker: container breakout without selinux in enforcin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: podman
Version: 28
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1599134 (view as bug list)
Depends On:
Blocks: CVE-2018-10892
TreeView+ depends on / blocked
 
Reported: 2018-07-09 03:13 UTC by Jason Shepherd
Modified: 2018-07-20 17:43 UTC (History)
1 user (show)

Fixed In Version: podman-0.7.2-2.git4ca4c5f.fc28
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-20 17:43:54 UTC


Attachments (Terms of Use)

Description Jason Shepherd 2018-07-09 03:13:27 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Jason Shepherd 2018-07-09 03:13:33 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1598581,1599130

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Jason Shepherd 2018-07-09 03:24:55 UTC
*** Bug 1599134 has been marked as a duplicate of this bug. ***

Comment 3 Fedora Update System 2018-07-14 11:23:33 UTC
podman-0.7.2-2.git4ca4c5f.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6243646704

Comment 4 Fedora Update System 2018-07-14 13:18:58 UTC
podman-0.7.2-1.git4ca4c5f.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-34ac445577

Comment 5 Fedora Update System 2018-07-14 23:00:53 UTC
podman-0.7.2-1.git4ca4c5f.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-34ac445577

Comment 6 Fedora Update System 2018-07-15 04:01:04 UTC
podman-0.7.2-2.git4ca4c5f.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6243646704

Comment 7 Fedora Update System 2018-07-20 17:43:54 UTC
podman-0.7.2-2.git4ca4c5f.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.